:root {
    --primario: #2A38AF;  
    --primario-obscuro: #0C0E57; 
    --secundario: #EC7511;
    --secundario-obscuro: #D66E18 ;
    --blanco: #fff;
    --negro: #000;
    --fuente-principal:'Bebas Neue', cursive; 
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
  }
  *, *:before, *:after {
    box-sizing: inherit;
  }

  /*globales*/
body {
      background-color: var(--primario);
      font-size: 1.6rem;
      line-height: 1.5;
  }
p {
      font-size: 1.8rem;
      font-family: Arial, Helvetica, sans-serif;
      color: var(--blanco);
  }
a {
      text-decoration: none;
  }
img {
     width: 100%;
  }
  .contenedor {
   max-width: 120rem;
   width: 100%;
   margin: 0 auto;
   text-align: center;
 }
h1,h2,h3 {
      text-align: center;
      color: var(--secundario);
      font-family: var(--fuente-principal);
  }
h1 {
      font-size: 4rem;
      text-align: center;
    }
h2 {
      font-size: 3.2rem;
  }
 h3 {
      font-size: 2.4rem;
  }
/*header*/
.header {
    display: flex;
    justify-content: center;  
}
.header__logo {
    margin: 3rem 0;
}
/*footer*/
.footer {
    background-color: var(--primario-obscuro);
    margin-top: 3rem;
    padding: 2.3rem;
} 
.footer__text {
    font-family: var(--fuente-principal);
    font-size: 2.3rem;
    text-align: center;
}
/*navegador principal*/
 
.navegacion {
        background-color: var(--primario-obscuro);
        padding: 1rem;
        display: flex;
        justify-content: center;
        gap: 2rem;
        }
.navegacion__enlace {
    font-family: var(--fuente-principal);
    color: var(--blanco);
    font-size: 2.6rem;
}  
.navegacion__enlace--activo,
.navegacion__enlace:hover {
    color: var(--secundario);
}
/*grid*/
.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}
@media (min-width:768px) {
     .grid {
       grid-template-columns: 1fr 1fr 1fr;
     }
}
/*productos*/
.producto {
  background-color: var(--primario-obscuro);
  padding: 1rem;
}
.producto__nombre {
  font-size: 4rem;
}
.producto__precio {
  font-size: 2.8rem;
  color: var(--secundario);
}
.producto__precio,
.producto__nombre {
  font-family: var(--fuente-principal);
  margin: 1rem;
  line-height: 3.5rem;
}
/*grafico*/
.grafico {
  min-height: 30rem;
  background-repeat: no-repeat;
  background-size: cover;
  grid-column: 1 / 3;
}
.grafico--camisa {
    grid-row: 2 / 3;
    background-image: url(../img/grafico1.jpg);
  }
.grafico--node {
  background-image: url(../img/grafico2.jpg); 
  grid-row: 8 / 9;
}
@media (min-width:768px) {  
     .grafico--node { 
      grid-row: 5 / 6;
      grid-column: 2 / 4;    
    }
}
/*nosotros*/
.nosotros {
  display: grid;
  grid-template-rows: auto auto;
}
@media (min-width:768px) {
     .nosotros {
 grid-template-columns: 1fr 1fr;
 column-gap: 2rem
}
}
.nosotros__img {
  grid-row: 1 / 2;
}
@media (min-width:768px) {
     .nosotros__img {
       grid-column: 2 / 3;
     }
}
/*bloques*/
.bloques {
  display: grid;
  grid-template-columns: 1fr 1fr;
   gap: 2rem;
}
@media (min-width:768px) {
     .bloques {
      grid-template-columns: 1fr 1fr 1fr 1fr;
     }
}
.bloque { 
  text-align: center;
}
.bloque__titulo {
  margin: 0;
}
/*pagina del producto*/
@media (min-width:768px) {
     .camisa {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  }
}
.formulario {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}
.formulario__campo {
  border: 1rem solid var(--primario-obscuro);
  background-color: var(--primario);
  color: var(--blanco);
  font-size: 2rem;
  font-family: Arial, Helvetica, sans-serif;
  padding: 1rem;
  appearance: none;
}
.formulario__submit {
  background-color: var(--secundario);
  border: none;
  font-size: 2rem;
  font-family: var(--fuente-principal);
  padding: 2rem;
  grid-column: 1 / 3;
}
.formulario__submit:hover {
    cursor: pointer;
    background-color: var(--secundario-obscuro);
}
